.TH "siggen::Options" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::Options \- configuration for generation of signatures file  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <Options\&.h>\fP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "const std::string & \fBGetInputFileName\fP () const"
.br
.RI "return user specified input file name "
.ti -1c
.RI "const std::string & \fBGetOutputFileName\fP () const"
.br
.RI "return user specified output file name "
.ti -1c
.RI "size_t \fBGetBlockSize\fP () const"
.br
.RI "return user specified block size "
.ti -1c
.RI "uint32_t \fBGetThreadCount\fP () const"
.br
.RI "return user specified number of threads (0 == auto) "
.ti -1c
.RI "ThreadingPolicy \fBGetThreadPolicy\fP () const"
.br
.RI "return user specified threading policy "
.ti -1c
.RI "uint32_t \fBGetLogLevel\fP () const"
.br
.RI "return user specified verbosity "
.ti -1c
.RI "const std::string & \fBGetHashName\fP () const"
.br
.RI "return user specified hash function name "
.ti -1c
.RI "void \fBSetInputFileName\fP (std::string const &name)"
.br
.RI "set user specified input file name "
.ti -1c
.RI "void \fBGetOutputFileName\fP (std::string const &name)"
.br
.RI "set user specified output file name "
.ti -1c
.RI "void \fBSetBlockSize\fP (size_t size)"
.br
.RI "set user specified block size "
.ti -1c
.RI "void \fBSetThreadCount\fP (uint32_t count)"
.br
.RI "set user specified number of threads (0 == auto) "
.ti -1c
.RI "void \fBSetThreadPolicy\fP (ThreadingPolicy policy)"
.br
.RI "set user specified threading policy "
.ti -1c
.RI "void \fBSetLogLevel\fP (uint32_t level)"
.br
.RI "set user specified verbosity "
.ti -1c
.RI "void \fBSetHashName\fP (std::string const &name)"
.br
.RI "set user specified hash function name "
.ti -1c
.RI "ParseConfigResult \fBParseCommandLine\fP (int argc, char *argv[])"
.br
.RI "reads options from command line "
.in -1c
.SH "Detailed Description"
.PP 
configuration for generation of signatures file 
.PP
Definition at line 20 of file Options\&.h\&.
.SH "Member Function Documentation"
.PP 
.SS "ParseConfigResult siggen::Options::ParseCommandLine (int argc, char * argv[])"

.PP
reads options from command line 
.PP
\fBParameters\fP
.RS 4
\fIargc\fP number of command line arguments 
.br
\fIargv\fP array of command line arguments 
.RE
.PP
\fBReturns\fP
.RS 4
ParseConfigResult::OK on succes 
.RE
.PP
\fBExceptions\fP
.RS 4
\fIstd::exception\fP if error encountered 
.RE
.PP

.PP
Definition at line 8 of file Options\&.cpp\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
